# Fluents Comma Separated Values file format description

This is the documentation of the textual (and primary) Fluents data file format. The other way to store a dataset is as a pickled Dataset object. The main differences between these methods are:

- Text based file formats are easier to read, easier to browse throgh, running commands on etc.
- Text based files are better suited for svn.
- Picled files are faster.

## File headers

Header lines must begin on the first line in the file. Header lines are of the form:

```
# keyword : value
#keyword:value
#      keyword    :value
```

Where an optional number of whitespace characters can be put between the different units on the line. The # sign at the start of the line is a traditional UNIX comment sign, and makes it easier for other programs to ignore those lines.
