
DOC_DIR=M4_DOCDIR

all: html

html:
	@echo ----------------
	@echo Generating epydoc html code documentation.
	@echo See epydoc-html.log for epydoc log.
	@echo ----------------
	epydoc --html --inheritance listed -o html/ ../laydi 2> epydoc-html.log

install: html
	find html/ -type f -exec install -m 644 -D '{}' ${DOC_DIR}/'{}' \;

clean:
	-rm -rf html
	-rm epydoc-html.log

	
