# Development hints

## Terminology

Read terminology for the conventions used in the program. This ensures a consistent use of terms within the program. New terminology should be described on the that page, and should be introduced only when needed. Too much terminology clutters the namespace.

## Logging
Log output is very easy. Import the logger module, and use the singleton Logger instance inside it. The logger has four different debug levels, debug, notice, warning and error. A simple example follows:

```python
import logger

logger.log('debug', 'This should appear in the log window as a debug message')
```
